



package Debian::DebConf::Priority;
use strict;
use Debian::DebConf::Config;


my %priorities=(
	'low' => 0,
	'medium' => 1,
	'high' => 2,
	'critical' => 3,
);



sub high_enough {
	my $priority=shift;

	die "Unknown priority $priority" unless exists $priorities{$priority};

	return $priorities{$priority} >= $priorities{Debian::DebConf::Config::priority()};
}


1
